#!/bin/bash
# By MW, Sept 2012, GPLv3+
# Updated Jul 2013

echo "Hi, this script will export the git repository to a specified package"
echo -e "\033[31mYou should call this script from the root directory of the project\033[0m"

# ====== Vars
TMP_DIR=./dev/packages/
LOCAL_DOC_PATH=./docs/_build/html
LOCAL_MANUAL_PATH=./docs/Manual
REMOTE_ADDRESS=padoup-padoup.dyndns.org
REMOTE_ADDRESS2=clipper.ens.fr
REMOTE_USER=maxime
REMOTE_USER2=woringer
REMOTE_FOLDER_PATH=/home/maxime/trac/CellTracking/htdocs/versions/
REMOTE_FOLDER_PATH2=www/CellTracking/versions/
REMOTE_TRAC_PATH="htdocs:./versions/"
REMOTE_DOC_PATH=/home/maxime/trac/CellTracking/htdocs/docs/
REMOTE_DOC_PATH2=www/CellTracking/docs/
REMOTE_MANUAL_PATH2=www/CellTracking/

# ====== Generating data
echo -e "\033[31m===== Cleaning folders\033[0m"
# Managed by .gitignore (+cache purge: git rm -r --cached .)

echo -e "\033[31m===== Generating doc\033[0m"
#cd ..
#make html
./dev/make_doc.sh
#cd bin

echo -e "\033[31m===== Uploading documentation\033[0m"
echo -e "\033[31m Padoup\033[0m"
scp -r ${LOCAL_DOC_PATH}/* ${REMOTE_USER}@${REMOTE_ADDRESS}:${REMOTE_DOC_PATH}
echo -e "\033[31m Clipper\033[0m"
scp -r ${LOCAL_DOC_PATH}/* ${REMOTE_USER2}@${REMOTE_ADDRESS2}:${REMOTE_DOC_PATH2}
echo -e "\033[31m Clipper manual\033[0m"
scp -r ${LOCAL_MANUAL_PATH}/* ${REMOTE_USER2}@${REMOTE_ADDRESS2}:${REMOTE_MANUAL_PATH2}

echo -e "\033[31m===== Git update\033[0m"
#cd ..
git add .


echo -e "\033[31m===== Getting version number\033[0m"
python CellTracking.py -v > dev/VERSION
VERSION=`cat dev/VERSION`
FILENAME=CellTracking-${VERSION}.tar.bz2
echo -e "\033[31mVersion number is" $VERSION "\033[0m"
echo -e "\033[31mExport filename is" $FILENAME "\033[0m"

echo -e "\033[31m===== Committing modifications, please enter comment message\033[0m"
read -p "Please enter comment message for the commit, do not use quote (\"): " MESSAGE
git commit -m "${MESSAGE}"

echo -e "\033[31m===== Syncing with the git repository\033[0m"
git push -u origin master

echo -e "\033[31m===== Archiving\033[0m"
git archive master | pbzip2 > ${TMP_DIR}${FILENAME}
echo -e "\033[31m===== Uploading\033[0m"
scp ${TMP_DIR}${FILENAME} ${REMOTE_USER}@${REMOTE_ADDRESS}:${REMOTE_FOLDER_PATH}
scp ${TMP_DIR}${FILENAME} ${REMOTE_USER2}@${REMOTE_ADDRESS2}:${REMOTE_FOLDER_PATH2}
echo 
echo -e "\033[31mSaved at" ${REMOTE_FOLDER_PATH}$FILENAME "\033[0m"
echo -e "\033[31mSaved at" ${REMOTE_FOLDER_PATH2}$FILENAME "\033[0m"
echo -e "\033[31mTrac location is:" ${REMOTE_TRAC_PATH}$FILENAME"\033[0m"

